//
//  QueryType.swift
//  VoiceMemo
//
//  Created by Screencast on 9/4/16.
//  Copyright © 2016 Treehouse Island, Inc. All rights reserved.
//

import Foundation
import CloudKit

enum QueryType {
    case all
}

extension QueryType {
    var query: CKQuery {
        switch self {
        case .all:
            let allPredicate = NSPredicate(value: true)
            let query = CKQuery(recordType: Memo.entityName, predicate: allPredicate)
            
            query.sortDescriptors = [NSSortDescriptor(key: "creationDate", ascending: false)]
            
            return query
        }
    }
}



















